using Netina.Domain.Dtos.ResponseDtos.Zarehbin;

namespace Netina.Core.CoreServices.Abstracts;

public interface ISearchService : IScopedDependency
{
    public Task<SearchResponseDto> SearchAsync(string name,CancellationToken  cancellationToken = default);
    public Task<SearchResponseDto> ThumbSearchAsync(string name,CancellationToken  cancellationToken = default);
    public Task<ZarehbinPagedResponseDto> ZarehbinAsync(int page,CancellationToken  cancellationToken = default);
    public Task<ZarehbinProductResponseDto> ZarehbinAsync(Guid productId,CancellationToken  cancellationToken = default);

}